Download it now!
Bug 74282 - Adding a link to a docx file corrupts the file
Summary: Adding a link to a docx file corrupts the file
Status: RESOLVED WORKSFORME
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Writer (show other bugs)
Version:
(earliest affected)
4.1.3.2 release
Hardware: x86-64 (AMD64) Linux (All)
: medium normal
Assignee: Not Assigned
URL:
Whiteboard:
Keywords:
Depends on:
Blocks:
 
Reported: 2014-01-31 14:52 UTC by Andrew Sinclair
Modified: 2015-05-16 09:20 UTC (History)
1 user (show)

See Also:
Crash report or crash signature:


Attachments
Example Word file (12.42 KB, application/vnd.openxmlformats-officedocument.wordprocessingml.document)
2014-01-31 14:52 UTC, Andrew Sinclair
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Andrew Sinclair 2014-01-31 14:52:57 UTC
Created attachment 93144 [details]
Example Word file

If a link is added to a DOCX file in LibreOffice and that file is then saved in the same DOCX format, the file becomes corrupt.  MS Word will not open it and reports this error: "The name in the end tag of the element must match the element type in the start tag." LibreOffice will open it, but everything after the link disappears.

To reproduce:
 1) Create a DOCX file using MS WORD, or use the attached example
 2) Open the DOCX file using LibreOffice, add a link to it, and save
Comment 1 Bryan Quigley 2014-01-31 17:50:05 UTC
Step by step:
1. Start typing between first and second paragraph.
2. Type exactly this "www.link.com "  Adding the space causes it to do change newline into a link.
3. Save, close and reopen notice nothing after the hyperlink

Note difference if you do it with a newline after the link instead of a space.
Do the same as above except, type "www.link.com" and then press enter.   This will be saveable correctly.
Comment 2 Bryan Quigley 2014-01-31 18:15:41 UTC
2. should read:
2. Type exactly this "www.link.com "  Adding the space causes it to change into a link.
Comment 3 Ritesh Khadgaray 2014-02-06 18:27:38 UTC
Hi

(In reply to comment #0)
> Created attachment 93144 [details]
> Example Word file
> 
> If a link is added to a DOCX file in LibreOffice and that file is then saved
> in the same DOCX format, the file becomes corrupt.  MS Word will not open it
> and reports this error: "The name in the end tag of the element must match
> the element type in the start tag." LibreOffice will open it, but everything
> after the link disappears.
> 
> To reproduce:
>  1) Create a DOCX file using MS WORD, or use the attached example
>  2) Open the DOCX file using LibreOffice, add a link to it, and save

Is this seen with 4.2 ?
Comment 4 Bryan Quigley 2014-04-21 15:07:17 UTC
Nope, this is fixed in 4.2
Comment 5 Jorendc 2015-05-16 09:20:17 UTC
(In reply to Bryan Quigley from comment #4)
> Nope, this is fixed in 4.2

So lets mark it as RESOLVED WORKSFORME then :-)

Kind regards,
Joren